Modify

#172 closed defect (invalid)

Too long messages are cut while being sent

Reported by: nlsn@… Owned by:
Priority: normal Milestone:
Component: BitlBee Version: 1.0.3
Keywords: Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro:

Description

I noticed that when I write very long messages in Irssi (6-7 lines long) and send them to MSN over Bitlbee, the destinator doesn't receive the full message. I don't know if it's a limitation of the IRC protocol or of the MSN's one. When you write a message using MSN Messenger you can't type anymore if you exceed the maximum size.

If this issue can be easily solved, it would be nice to cut too long messages received via IRC before resending them over MSN protocol.

I think that other protocols might be concerned by this issue.

Attachments (0)

Change History (5)

comment:1 Changed at 2006-06-27T07:07:11Z by wilmer

Resolution: invalid
Status: newclosed

Yes, it's an IRC protocol limitation.

http://www.irssi.org/scripts/html/splitlong.pl.html

Have fun. :-)

comment:2 in reply to:  1 Changed at 2006-06-27T18:22:07Z by nlsn@…

Thank's a lot for your answer, it's really a must have script.

And I apologise for entering "bad" bugs in database

comment:3 Changed at 2006-06-27T20:22:36Z by Jens Sülwald <jsuelwald@…>

i think it is not as bad as you think it is... ... spam is worse

comment:4 Changed at 2006-06-29T20:58:55Z by wilmer

No problem. It was already getting a bit quiet here, now that the spam filtering seems to be effective. ;-) And this script is very useful, not just with BitlBee.

comment:5 Changed at 2007-12-07T09:28:16Z by padde

This was very helpful, thanks :)

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.